## org.mortbay.util.ajax
Class JSONPojoConvertor.Setter

    java.lang.Object
      org.mortbay.util.ajax.JSONPojoConvertor.Setter

Enclosing class:
  JSONPojoConvertor

    public static class JSONPojoConvertor.Setter

extends Object

Field Summary
`protected Class` `_componentType`
`protected Method` `_method`
`protected JSONPojoConvertor.NumberType` `_numberType`
`protected String` `_propertyName`
`protected Class` `_type`

Constructor Summary
`JSONPojoConvertor.Setter(String propertyName, Method method)`

Method Summary
`Class` `getComponentType()`
`Method` `getMethod()`
`JSONPojoConvertor.NumberType` `getNumberType()`
`String` `getPropertyName()`
`Class` `getType()`
`void` `invoke(Object obj, Object value)`
`protected void` `invokeObject(Object obj, Object value)`
`boolean` `isPropertyNumber()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _propertyName

    protected String _propertyName

### _method

    protected Method _method

### _numberType

    protected JSONPojoConvertor.NumberType _numberType

### _type

    protected Class _type

### _componentType

    protected Class _componentType

Constructor Detail

### JSONPojoConvertor.Setter

    public JSONPojoConvertor.Setter(String propertyName,
                                    Method method)

Method Detail

### getPropertyName

    public String getPropertyName()

### getMethod

    public Method getMethod()

### getNumberType

    public JSONPojoConvertor.NumberType getNumberType()

### getType

    public Class getType()

### getComponentType

    public Class getComponentType()

### isPropertyNumber

    public boolean isPropertyNumber()

### invoke

    public void invoke(Object obj,
                       Object value)
                throws IllegalArgumentException,
                       IllegalAccessException,
                       InvocationTargetException

  Throws:
    `IllegalArgumentException`
    `IllegalAccessException`
    `InvocationTargetException`

### invokeObject

    protected void invokeObject(Object obj,
                                Object value)
                         throws IllegalArgumentException,
                                IllegalAccessException,
                                InvocationTargetException

  Throws:
    `IllegalArgumentException`
    `IllegalAccessException`
    `InvocationTargetException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.